<template>
	<mobile-frame>
		<view class="main">
			<view class="info" v-if="type=='0'">
				<view class="one">
					<view class="left">返现金额</view>
					<view class="right">+{{info.money}}</view>
				</view>
				<view class="two">
					<view class="left">状态</view>
					<view class="right">{{info.zhStatus}}</view>
				</view>
				<view class="two">
					<view class="left">返现时间</view>
					<view class="right">{{info.time}}</view>
				</view>
				<view class="two">
					<view class="left">推荐人</view>
					<view class="right">{{info.inviter_name}}</view>
				</view>
				<view class="two">
					<view class="left">来源</view>
					<view class="right">{{info.zhSource}}</view>
				</view>
			</view>
			<view class="info" v-else>
				<view class="one">
					<view class="left">提现金额</view>
					<view class="right">-{{info.money}}</view>
				</view>
				<view class="two">
					<view class="left">审核处理人</view>
					<view class="right">{{info.deal_person}}</view>
				</view>
				<view class="two">
					<view class="left">申请时间</view>
					<view class="right">{{info.apply_time}}</view>
				</view>
				<view class="two">
					<view class="left">审核时间</view>
					<view class="right">{{info.exam_time}}</view>
				</view>
				<view class="two">
					<view class="left">申请理由</view>
					<view class="right">{{info.apply_reason}}</view>
				</view>
				<view class="two">
					<view class="left">审核理由</view>
					<view class="right">{{info.exam_reason}}</view>
				</view>
				<view class="two">
					<view class="left">审核状态</view>
					<view class="right">{{info.zhStatus}}</view>
				</view>
			</view>
		</view>
	</mobile-frame>
</template>

<script>
	export default {
		data() {
			return {
				id: '',
				// 类型
				type: '',
				user: {},
				info: {},
				// 收益状态
				statusList: [],
				// 提现状态
				cashstatusList: [],
				// 来源
				sourceList: [],
			};
		},
		onLoad: async function(e) {
			const that = this;
			that.$set(that, `id`, e.id || '');
			that.$set(that, `type`, e.type || '');
			await that.searchOther();
			await that.watchLogin();
		},
		methods: {
			// 查询其他信息
			async searchOther() {
				const that = this;
				let res;
				res = await that.$api(`/dictData`, 'GET', {
					code: "cashBack_status"
				});
				if (res.errcode == '0') {
					that.$set(that, `statusList`, res.data)
				}
				res = await that.$api(`/dictData`, 'GET', {
					code: "cashBack_source"
				});
				if (res.errcode == '0') {
					that.$set(that, `sourceList`, res.data)
				}
				res = await that.$api(`/dictData`, 'GET', {
					code: "withdrawal_exam_status"
				});
				if (res.errcode == '0') {
					that.$set(that, `cashstatusList`, res.data)
				}
			},
			// 监听用户是否登录
			watchLogin() {
				const that = this;
				uni.getStorage({
					key: 'token',
					success: async function(res) {
						let user = that.$jwt(res.data);
						if (user) {
							that.$set(that, `user`, user);
							if (that.id) {
								if (that.type == '0') {
									// 收益记录
									let arr = await that.$api(`/cashBack/${that.id}`, 'GET')
									if (arr.errcode == '0') {
										let status = that.statusList.find(i => i.value == arr.data.status)
										if (status) arr.data.zhStatus = status.label;
										let source = that.sourceList.find(i => i.value == arr.data.source)
										if (source) arr.data.zhSource = source.label;
										// 查询推荐人信息
										let res = await that.$api(`/user/${arr.data.inviter}`, 'GET');
										if (res.errcode == '0') arr.data.inviter_name = res.data.name
										that.$set(that, `info`, arr.data)
									}
								} else {
									// 提现记录
									let arr = await that.$api(`/cashOut/${that.id}`, 'GET')
									if (arr.errcode == '0') {
										let status = that.cashstatusList.find(i => i.value == arr.data.status)
										if (status) arr.data.zhStatus = status.label;
										that.$set(that, `info`, arr.data)
									}
								}
							}
						}
					},
					fail: function(err) {
						uni.navigateTo({
							url: `/pages/login/index`
						})
					}
				});
			}
		}
	}
</script>

<style lang="scss">
	.main {
		display: flex;
		flex-direction: column;
		width: 100vw;
		height: 100vh;

		.info {
			padding: 2vw;

			.one {
				display: flex;
				justify-content: space-between;
				padding: 10vw 2vw;
				border-bottom: 0.5vw solid var(--f1Color);

				.left {
					color: #696969;
					font-size: var(--font14Size);
				}

				.right {
					font-size: var(--font16Size);
					font-weight: bold;
				}
			}

			.two {
				display: flex;
				justify-content: space-between;
				padding: 2vw;

				.left {
					color: #696969;
					font-size: var(--font14Size);
				}

				.right {
					color: #A9A9A9;
					font-size: var(--font14Size);
				}
			}
		}
	}
</style>
